<div class="head">
    <h1>Participantes</h1>
    <button mat-raised-button color="accent" (click)="onReloadList()">
        <mat-icon>refresh</mat-icon>
    </button>
</div>
<section class="page">
    <table mat-table [dataSource]="matches" class="mat-elevation-z8">
        <!-- Username Column -->
        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef> Username</th>
            <td mat-cell *matCellDef="let element" class="username">
                {{element.user.username}}
            </td>
        </ng-container>

        <!-- Score Column -->
        <ng-container matColumnDef="score">
            <th mat-header-cell *matHeaderCellDef> Score</th>
            <td mat-cell *matCellDef="let element" class="score">
                <div class="total">Total: {{calculateTotal(element.itemUsers)}}</div>
                <div class="quantity">Cantidad de artículos: {{element.itemUsers.length}}</div>
            </td>
        </ng-container>

        <!-- Options Column -->
        <ng-container matColumnDef="options">
            <th mat-header-cell *matHeaderCellDef> Opciones</th>
            <td mat-cell *matCellDef="let element">
                <button mat-raised-button color="accent" routerLink="/scan/{{element.user.id}}">Editar</button> &nbsp;
                <button mat-raised-button color="primary" (click)="onDeletePlayer(element.user.id)">
                    <mat-icon>delete</mat-icon>
                </button>
            </td>
        </ng-container>

        <!--<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>-->
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</section>
